Subject: bug#66190: 30.0.50; ns-use-proxy-icon has no effect on macOS 12.6.9

From: Stefan Kangas <[email-masked]>
Date: Sun, 1 Oct 2023 08:45:13 -0700

Gerd Möllmann <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I've now installed a fix on emacs-29, which should hopefully make the
>> situation a bit more clear [1: 3ef259e28a8].  Let me know if you see
>> anything there that could be improved.
>>
>> [1: 3ef259e28a8]: 2023-10-01 15:37:06 +0200
>>   Improve documentation of `ns-use-proxy-icon`
>>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3ef259e28a84049fdb4499c9ad81ed2c3216f76b
>
> The text sounds a bit like you can drag the icon to other applications,
> only.
>
> Actually, it is 100% (AFAIK) like dragging an icon from the Finder.  You
> can drag the icon to the bin, a printer, the desktop, an application...
> (Sometimes the results can be a bit surprising for the uniniatiated, for
> example, when dragging moves the file to a different location :-)).
>
> Alas, I can't find an official documentation of that feature.

Does this sound better?

    The proxy icon can be used to drag the file associated with the
    current buffer to other applications, a printer, the desktop, etc.,
    in the same way you can from Finder.